@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  :root {
    --color-info: 58 191 248;
    --color-success: 54 211 153;
    --color-warning: 251 189 35;
    --color-error: 248 114 114;
  }
}

*,
::after,
::before {
  box-sizing: border-box;
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  border: none;
  background-color: transparent;
  outline: none;
  box-shadow: none;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
}

html {
  -ms-content-zooming: none;
  -webkit-overflow-scrolling: touch;
  -ms-touch-action: pan-x pan-y;
  height: 100%;
}

html,
head,
body {
  touch-action: none;
  -ms-touch-action: none;
  -webkit-overflow-scrolling: touch;
  margin: 0;
  padding: 0;
}

body {
  touch-action: pan-y pan-x;
  width: 100%;
  height: 100%;
  -webkit-overflow-scrolling: touch;
}
#root {
  width: 100%;
  height: 100%;
}

#root-layout > div {
  height: 100%;
}

#__next {
  height: 100%;
}
